%define lib_major	10
%define lib_name	%mklibname input %{lib_major}
%define develname	%mklibname -d input

Name:		libinput
Version:    1.25.0
Release:	%mkrel 1
Summary:	Input device library
License:	MIT
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/libinput/
Source0:	http://www.freedesktop.org/software/libinput/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:	pkgconfig(libudev)
BuildRequires:  pkgconfig(mtdev) >= 1.1.0
BuildRequires:	pkgconfig(libevdev) >= 0.4
BuildRequires:  pkgconfig(libwacom) >= 0.20
BuildRequires:  python3-devel
BuildRequires:  check-devel

%description
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

%package -n %{lib_name}
Summary:	Libraries for libinput
Group:		System/Libraries
Requires:	libinput-udev
Obsoletes:  lib64input5

%description -n %{lib_name}
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event processing
and abstraction so minimize the amount of custom input code the user of
libinput need to provide the common set of functionality that users expect.


%package -n %{develname}
Summary:        Development files for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %{develname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary:	Tools for libinput
Group:		System/Base

%description tools
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event processing
and abstraction so minimize the amount of custom input code the user of
libinput need to provide the common set of functionality that users expect.

This package contains the libinput tools.

%package udev
Summary:	Tools for libinput
Group:		System/Base

%description udev
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

This package contains the udev rules for libinput.

%package        test
Summary:        libinput integration test suite
Requires:       %{lib_name}%{?_isa} = %{version}-%{release}

%description    test
The %{name}-test package contains the libinput test suite. It is not
intended to be run by users.

%prep
%setup -q

%build
%meson -Ddebug-gui=false \
       -D b_lto=false \
       -Ddocumentation=false \
       -Dtests=true \
       -Dinstall-tests=true \
       -Dudev-dir=/lib/udev \

%meson_build

%install
%meson_install

%files tools
%{_bindir}/*
%{_mandir}/*/*
%{_libexecdir}/libinput
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/*

%files udev
/lib/udev/rules.d/*
/lib/udev/libinput-device-group
/lib/udev/libinput-fuzz-extract
/lib/udev/libinput-fuzz-to-zero
%{_datadir}/libinput/*.quirks

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/libinput.h
%{_libdir}/libinput.so
%{_libdir}/pkgconfig/libinput.pc

%files test
%{_libexecdir}/libinput/libinput-test-suite
%{_mandir}/man1/libinput-test-suite.1*


%changelog
* Tue Apr 02 2024 tex - 1.25.0-1pclos2024
- new version

* Fri Aug 25 2023 tex - 1.24.0-1pclos2023
- new version

* Sun Mar 26 2023 tex - 1.23.0-1pclos2023
- new version

* Tue Jan 17 2023 tex - 1.22.1-1pclos2023
- new version

* Mon Dec 19 2022 tex - 1.22.0-2pclos2022
- rebuild against updates

* Sun Nov 20 2022 tex - 1.22.0-1pclos2022
- new version

* Mon Jul 04 2022 tex - 1.20.1-2pclos2022
- rebuild against updates

* Sun Apr 24 2022 tex - 1.20.1-1pclos2022
- new version

* Sun Feb 20 2022 tex - 1.20.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 1.19.3-1pclos2021
- new version

* Thu Oct 21 2021 tex - 1.19.2-1pclos2021
- new version

* Tue Sep 28 2021 tex - 1.19.1-1pclos2021
- new version

* Wed Sep 15 2021 tex - 1.19.0-1pclos2021
- new version

* Tue Aug 03 2021 tex - 1.18.1-1pclos2021
- new version

* Wed Jun 02 2021 tex - 1.18.0-1pclos2021
- new version

* Wed May 26 2021 tex - 1.17.3-1pclos2021
- new version

* Mon May 03 2021 tex - 1.17.2-2pclos2021
- rebuild against updates

* Fri Apr 30 2021 tex - 1.17.2-1pclos2021
- new version

* Tue Mar 30 2021 tex - 1.17.1-1pclos2021
- new version

* Sun Feb 28 2021 tex - 1.17.0-1pclos2021
- new version

* Fri Nov 27 2020 tex - 1.16.4-1pclos2020
- new version

* Fri Nov 06 2020 tex - 1.16.3-1pclos2020
- new version

* Sat Aug 22 2020 tex - 1.16.1-1pclos2020
- new version

* Mon Aug 03 2020 tex - 1.16.0-1pclos2020
- new version

* Tue Jun 23 2020 tex - 1.15.6-1pclos2020
- new version

* Sun Apr 12 2020 tex - 1.15.5-1pclos2020
- new version

* Thu Mar 19 2020 tex - 1.15.4-1pclos2020
- new version

* Sat Mar 14 2020 tex - 1.15.3-1pclos2020
- new version

* Thu Feb 27 2020 tex - 1.15.2-1pclos2020
- new version

* Fri Jan 03 2020 tex - 1.15.0-1pclos2020
- new release
